local config = {
  pre_save_cmds = { 'cclose', 'lua vim.notify.dismiss()' },
  auto_session_enabled = true,
  auto_restore_enabled = true,
  auto_save_enabled = true,
}

return {
  'rmagatti/auto-session',
  lazy = false,
  config = function()
    require('auto-session').setup(config)
  end,
  init = function()
    require('plugins.auto-session.mappings')
  end,
}
